# MProcessor Firmware - 2x10gbe - OUTDATED
## Instructions to Run
```bash
# Pull the package onto the Serenity card
emp pull mprocessor:<BRANCH>-<COMMIT HASH>
# Export the package as an environment variable
export PACKAGE=/home/cmx/.emp/packages/mprocessor/<BRANCH>-<COMMIT HASH>/package
# Navigate to the Ph2_ACF directory
cd ~/dmonk/Ph2_ACF
# Load bitfile onto FPGA
dtc_init -r -1 $PACKAGE
# Enable echo server for 10G link
python ../dtc-module-scripts/python/enable_10G_echo.py $PACKAGE
# Configure FE modules
./bin/serenity_2slpgbt --reconfigure
# Lock the FE links and check output
bash ../dtc-module-scripts/python/run_emp_cmds.sh
```
NOTES:
- `<BRANCH>-<COMMIT HASH>` should be replaced by the appropriate `EMPHUB_TAG` set in the CI for a given build
- If Ph2_ACF is installed in a different location, the path should replace `~/dmonk/Ph2_ACF`. In which case, all subsequent commands will need to be made absolute, rather than using relative paths
